#### D.4.14.13 isgenericMon

Procedure from library `monomialideal.lib` (see monomialideal_lib).

Usage:
  isgenericMon(I); I ideal.

Return:
  1, if ideal is generic; 0, otherwise.
  (return -1 if ideal I is not a monomial ideal)

Assume:
  I is a monomial ideal of the basering.

Example:

    LIB "monomialideal.lib";
    ring R = 0,(w,x,y,z,t),lp;
    ideal I = w^4,x^3,y^4,z^2,w^2*x^2*y,w*z*t^4,x*y^3,z*t^5;
    isgenericMon (I);
    ==> 0
    ideal J = w^4,x^3,y^4,z^3,w^2*x^2*y,w*z*t^4,x*y^3,z^2*t^5;
    isgenericMon (J);
    ==> 1

User manual for Singular version 4-0-3, 2016, generated by texi2html.